Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PUT \
--url https://nvidia.casebender.com/api/v1/cases/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"severity": 2.5,
"tlp": 2,
"pap": 1.5,
"statusValue": "<string>",
"assigneeId": "<string>",
"flag": true
}
'import requests
url = "https://nvidia.casebender.com/api/v1/cases/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"severity": 2.5,
"tlp": 2,
"pap": 1.5,
"statusValue": "<string>",
"assigneeId": "<string>",
"flag": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
severity: 2.5,
tlp: 2,
pap: 1.5,
statusValue: '<string>',
assigneeId: '<string>',
flag: true
})
};
fetch('https://nvidia.casebender.com/api/v1/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update an existing case. Status changes to ‘Closed’ require all mandatory tasks to be completed unless X-Skip-Mandatory-Validation header is set with admin privileges.
API key authentication. Use format: Bearer cbr_live_your_key
Set to 'true' to skip mandatory task validation (admin only)
Required when skipping mandatory validation - reason for override
Default Response